### Function

# RB make_elapsed_time_string

#### Declaration [src]

    char*
    rb_make_elapsed_time_string (
      guint elapsed,
      guint duration,
      gboolean show_remaining
    )

#### Description [src]

Constructs a string describing a playback position. The string describes hours, minutes, and seconds, and its format is localised. The string can describe either the elapsed time or the time remaining.

#### Parameters

`elapsed`

  Type: `guint`

  Elapsed time (in seconds).

`duration`

  Type: `guint`

  Duration (in seconds).

`show_remaining`

  Type: `gboolean`

  If `TRUE`, show the remaining time, otherwise show elapsed time.

#### Return value

Type: `char*`

Elapsed/remaining time string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.